Download failed: The specified network interface is not available

Bug #734367 reported by Jason Kumpf on 2011-03-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Downpour
Low
Jeremy Jongsma

Bug Description

I get that error and this one with debug when Downpour finds a file to download: [Failure instance: Traceback (failure with no frames): <type 'exceptions.Exception'>: The specified network interface is not available

The first time I got that error I specified --address=192.168.200.40 which is the IP of my machine but still same error. I'm running Ubuntu 10.10 64bit Desktop and the config file from the source works fine.

Jeremy Jongsma (jeremy-jongsma) wrote :

Can you provide the full traceback?

Download full text (3.3 KiB)

I'm not entirely sure how to get you that, this is what prints to the
terminal when I run the downpur-debug.sh script and it tries to download
torrents from one of my rss feeds:
============================================================================================
2011-03-18 07:51:23,397 - root - DEBUG - Resuming previous downloads
2011-03-18 07:51:23,406 - root - DEBUG - Running auto-queue
2011-03-18 07:51:26,091 - root - DEBUG - Updating feed "showRSS" (
http://showrss.karmorra.info/rss.php?user_id=3279&hd=null&proper=null&namespaces=true
)
2011-03-18 07:51:26,157 - root - DEBUG - Added new download 30 Rock S05E17
HDTV XviD-LOL
2011-03-18 07:51:26,158 - root - DEBUG - Running auto-queue
2011-03-18 07:51:26,167 - root - DEBUG - Starting download 39 (30 Rock
S05E17 HDTV XviD-LOL)
2011-03-18 07:51:26,209 - root - DEBUG - Added new download V 2009 S02E10
HDTV XviD-ASAP
2011-03-18 07:51:26,210 - root - DEBUG - Running auto-queue
2011-03-18 07:51:26,222 - root - DEBUG - Starting download 40 (V 2009 S02E10
HDTV XviD-ASAP)
2011-03-18 07:51:26,276 - root - DEBUG - Added new download Glee 2x16
(HDTV-LOL) [VTV]
2011-03-18 07:51:26,277 - root - DEBUG - Running auto-queue
2011-03-18 07:51:26,289 - root - DEBUG - Starting download 41 (Glee 2x16
(HDTV-LOL) [VTV])
2011-03-18 07:51:39,428 - root - DEBUG - [Failure instance: Traceback
(failure with no frames): <type 'exceptions.Exception'>: The specified
network interface is not available
]
2011-03-18 07:51:39,429 - root - DEBUG - Download 39 failed: The specified
network interface is not available
2011-03-18 07:51:42,692 - root - DEBUG - [Failure instance: Traceback
(failure with no frames): <type 'exceptions.Exception'>: The specified
network interface is not available
]
2011-03-18 07:51:42,692 - root - DEBUG - Download 41 failed: The specified
network interface is not available
2011-03-18 07:51:42,758 - root - DEBUG - [Failure instance: Traceback
(failure with no frames): <type 'exceptions.Exception'>: The specified
network interface is not available
]
2011-03-18 07:51:42,758 - root - DEBUG - Download 40 failed: The specified
network interface is not available
2011-03-18 07:51:53,407 - root - DEBUG - Running auto-queue
^C2011-03-18 07:52:06,896 - root - DEBUG - Pausing all downloads
============================================================================================

If you have some specific instruction I can run to get you that, just let me
know!

Thanks,
Jason Kumpf
 _

On Tue, Mar 15, 2011 at 11:09 AM, Jeremy Jongsma <email address hidden> wrote:

> Can you provide the full traceback?
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/734367
>
> Title:
> Download failed: The specified network interface is not available
>
> Status in Downpour:
> New
>
> Bug description:
> I get that error and this one with debug when Downpour finds a file to
> download: [Failure instance: Traceback (failure with no frames): <type
> 'exceptions.Exception'>: The specified network interface is not
> available
>
> The first time I got that error I specified --address=192.168.200.40
> which is the IP of my machine but still sa...

Read more...

Jeremy Jongsma (jeremy-jongsma) wrote :

Yeah, that's what I was looking for. Doesn't seem to provide much more information though. :/

If you installed from SVN, update and try again. I've committed a fix to display the actual interface name it thinks it should bind to as part of that error.

Jeremy Jongsma (jeremy-jongsma) wrote :

Ok, got it - looks like --address is being ignored on the command line. I've committed the fix to SVN.

Changed in downpour:
milestone: none → 0.3
assignee: nobody → Jeremy Jongsma (jeremy-jongsma)
status: New → Fix Committed
importance: Undecided → Low
Jason Kumpf (kumpfjn) wrote :

Got it, and works like a charm!! Thank you, great job on this very cool
application!!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers